<?php

/**
 * @package     JohnCMS
 * @link        http://johncms.com
 * @copyright   Copyright (C) 2008-2011 JohnCMS Community
 * @license     LICENSE.txt (see attached file)
 * @version     VERSION.txt (see attached file)
 * @author      http://johncms.com/about
 */

defined('_IN_JOHNCMS') or die('Error: restricted access');

$headmod = 'mail';
$textl = 'Личная почта';
require_once('../incfiles/head.php');

echo '<div class="phdr"><h3>Заблокированные контакты</h3></div>';
if (isset($_GET['del'])) {
    if ($id) {
        //Проверяем существование пользователя
        $req = mysql_query("SELECT * FROM `users` WHERE `id` = '$id' LIMIT 1;");
        if (mysql_num_rows($req) == 0) {
            echo display_error('Такого пользователя не существует');
            require_once("../incfiles/end.php");
            exit;
        }
        //Удаляем из заблокированных
        if (isset($_POST['submit'])) {
            $q = mysql_query("SELECT * FROM `cms_contact`
			WHERE `user_id`='" . $user_id . "' AND `from_id`='" . $id . "' AND `ban`='1';");
            if (mysql_num_rows($q) == 0) {
                echo '<div class="rmenu">Пользователь не заблокирован</div>';
            } else {
                mysql_query("UPDATE `cms_contact` SET `ban`='0' WHERE `user_id`='$user_id' AND `from_id`='$id' AND `ban`='1';");
                echo '<div class="rmenu">Пользователь разблокирован</div>';
            }
        } else {
            echo '<div class="gmenu"><form action="index.php?act=ignor&amp;id=' . $id . '&amp;del" method="post"><div>
			Вы действительно хотите разблокировать контакт?<br />
			<input type="submit" name="submit" value="Подвердить"/>
			</div></form></div>';
        }
    } else {
        echo display_error('Не выбран контакт');
    }
} else if (isset($_GET['add'])) {
    if ($id) {
        $req = mysql_query("SELECT * FROM `users` WHERE `id` = '$id' LIMIT 1;");
        if (mysql_num_rows($req) == 0) {
            echo display_error('Такого пользователя не существует');
            require_once("../incfiles/end.php");
            exit;
        }
        $res = mysql_fetch_assoc($req);
        //Добавляем в заблокированные
        if (isset($_POST['submit'])) {
            if ($res['rights'] > $rights) {
                echo '<div class="rmenu">Данного пользователя нельзя заблокировать</div>';
            } else {
                $q = mysql_query("SELECT * FROM `cms_contact`
				WHERE `user_id`='" . $user_id . "' AND `from_id`='" . $id . "';");
                if (mysql_num_rows($q) == 0) {
                    mysql_query("INSERT INTO `cms_contact` SET
					`user_id` = '" . $user_id . "',
					`from_id` = '" . $id . "',
					`time` = '" . time() . "',
					`ban`='1';");
                } else {
                    mysql_query("UPDATE `cms_contact` SET `ban`='1' WHERE `user_id`='$user_id' AND `from_id`='$id';");
                }
                echo '<div class="rmenu">Пользователь заблокирован</div>';
            }
        } else {
            echo '<div class="gmenu"><form action="index.php?act=ignor&amp;id=' . $id . '&amp;add" method="post"><div>
			Вы действительно хотите заблокировать контакт?<br />
			<input type="submit" name="submit" value="Подвердить"/>
			</div></form></div>';
        }
    } else {
        echo display_error('Не выбран контакт');
    }
} else {
    //Отображаем список заблокированных контактов
    $total = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_contact`
	LEFT JOIN `users` ON `cms_contact`.`from_id`=`users`.`id`
	WHERE `cms_contact`.`user_id`='" . $user_id . "' AND `ban`='1';"), 0);
    if ($total) {
        $req = mysql_query("SELECT `users`.* FROM `cms_contact`
		    LEFT JOIN `users` ON `cms_contact`.`from_id`=`users`.`id`
		    WHERE `cms_contact`.`user_id`='" . $user_id . "' AND `ban`='1' ORDER BY `cms_contact`.`time` DESC LIMIT " . $start . "," . $kmess
        );
        for ($i = 0; ($row = mysql_fetch_assoc($req)) !== false; ++$i) {
            echo $i % 2 ? '<div class="list1">' : '<div class="list2">';
            $subtext = '<a href="index.php?act=write&amp;id=' . $row['id'] . '">Переписка</a> | <a href="index.php?act=deluser&amp;id=' . $row['id'] . '">Удалить</a> | <a href="index.php?act=ignor&amp;id=' . $row['id'] . '&amp;del">Разблокировать</a>';
            $count_message = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_mail` WHERE ((`user_id`='{$row['id']}' AND `from_id`='$user_id') OR (`user_id`='$user_id' AND `from_id`='{$row['id']}')) AND `delete`!='$user_id';"), 0);
            $new_count_message = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_mail` WHERE `cms_mail`.`user_id`='$user_id' AND `cms_mail`.`from_id`='{$row['id']}' AND `read`='0' AND `delete`!='$user_id';"), 0);
            echo show_user($row, 1, ($rights >= 6 && $rights >= $row['rights'] ? 1 : 0), '(' . $count_message . ($new_count_message ? '/<span class="red">+' . $new_count_message . '</span>' : '') . ')', NULL, $subtext);
            echo '</div>';
        }
        echo '<div class="phdr">Всего: ' . $total . '</div>';
        //Навигация
        if ($total > $kmess) {
            echo '<p>' . pagenav('index.php?act=ignor&amp;', $start, $total, $kmess) . '</p>';
            echo '<p><form action="index.php" method="get">
			<input type="hidden" name="act" value="ignor"/>
			<input type="text" name="page" size="2"/>
			<input type="submit" value="К странице &gt;&gt;"/></form></p>';
        }

    } else {
        echo '<div class="rmenu">Заблокированных контактов нет</div>';
    }

}
echo '<div class="menu"><a href="../index.php?act=cab">В кабинет</a></div>';